org.jboss.resteasy.springmvc

## Class ResteasyWebArgumentResolver

- java.lang.Object
- - org.jboss.resteasy.springmvc.ResteasyWebArgumentResolver

- All Implemented Interfaces:
    org.springframework.web.bind.support.WebArgumentResolver

      public class ResteasyWebArgumentResolver
      extends Object
      implements org.springframework.web.bind.support.WebArgumentResolver

  This class can be used as part of Spring's AnnotationMethodHandlerAdapter. Take a look at AnnotationMethodHandlerAdapter.setCustomArgumentResolver()
  Version:
    $Revision: 1 $
  Author:
    Solomn Duskis

- - ### Field Summary

    - ### Fields inherited from interface org.springframework.web.bind.support.WebArgumentResolver

      `UNRESOLVED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResteasyWebArgumentResolver()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResteasyProviderFactory` | `getFactory()`
    `Object` | `resolveArgument(org.springframework.core.MethodParameter methodParameter, org.springframework.web.context.request.NativeWebRequest webRequest)`
    `void` | `setFactory(ResteasyProviderFactory factory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResteasyWebArgumentResolver

          public ResteasyWebArgumentResolver()

  - ### Method Detail

    - #### getFactory

          public ResteasyProviderFactory getFactory()

    - #### setFactory

          public void setFactory(ResteasyProviderFactory factory)

    - #### resolveArgument

          public Object resolveArgument(org.springframework.core.MethodParameter methodParameter,
                               org.springframework.web.context.request.NativeWebRequest webRequest)
                                 throws Exception

      Specified by:
        `resolveArgument` in interface `org.springframework.web.bind.support.WebArgumentResolver`
      Throws:
        `Exception`

Copyright © 2014. All Rights Reserved.